Search documentation of ExStreamClient

# ExStreamClient.Model.CallSession (ExStreamClient v0.1.10)

View Source

Schema representing a CallSession

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallSession{
      accepted_by: %{optional(String.t()) => float()},
      active_sf_us: [ExStreamClient.Model.SFUIDLastSeen.t()],
      anonymous_participant_count: integer(),
      app_pk: integer(),
      call_id: String.t(),
      call_type: String.t(),
      created_at: float(),
      deleted_at: float() | nil,
      ended_at: float() | nil,
      live_ended_at: float() | nil,
      live_started_at: float() | nil,
      missed_by: %{optional(String.t()) => float()},
      participants: [ExStreamClient.Model.CallParticipant.t()],
      participants_count_by_role: %{optional(String.t()) => integer()},
      rejected_by: %{optional(String.t()) => float()},
      ring_at: float() | nil,
      session_id: String.t(),
      sfui_ds: [String.t()],
      started_at: float() | nil,
      timer_ends_at: float() | nil,
      user_permission_overrides: %{
        optional(String.t()) => %{optional(String.t()) => boolean()}
      }
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()